## firefox 2.0+0dfsg

=== security/nss/lib/ckfw/dbm/Makefile ===
# 
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is the Netscape security libraries.
#
# The Initial Developer of the Original Code is
# Netscape Communications Corporation.
# Portions created by the Initial Developer are Copyright (C) 1994-2000
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****
MAKEFILE_CVS_ID = "@(#) $RCSfile: Makefile,v $ $Revision: 1.2.18.1 $ $Date: 2006/02/03 14:41:19 $"

include manifest.mn
include config.mk
include $(CORE_DEPTH)/coreconf/config.mk
include $(CORE_DEPTH)/coreconf/rules.mk

## firefox 1snap1-0ubuntu2

=== debian/changelog ===
firefox (1:1snap1-0ubuntu2) jammy; urgency=medium

  * Ensure the transitional desktop file isn't visible in the GNOME activities
    - debian/firefox.desktop

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 28 Mar 2022 12:05:12 +0200

firefox (1:1snap1-0ubuntu1) jammy; urgency=medium

  * Install the firefox snap in place of the debian packages (LP: #1962021)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 22 Feb 2022 10:47:48 +0100

firefox (97.0.1+build1-0ubuntu1) jammy; urgency=medium

  * New upstream release (97.0.1+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 16 Feb 2022 21:59:17 +0100

firefox (97.0+build2-0ubuntu1) jammy; urgency=medium

  * New upstream release (97.0+build2)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 03 Feb 2022 07:02:03 +0100

firefox (97.0+build1-0ubuntu1) jammy; urgency=medium

  * New upstream release (97.0+build1)

  [ Olivier Tilloy ]
  * Drop upstream patches
    - debian/patches/webrtc-armhf/upstream-3607c4937e84.diff
    - debian/patches/webrtc-armhf/upstream-D117104.diff
    - debian/patches/webrtc-armhf/upstream-D133409.diff
    - debian/patches/webrtc-armhf/upstream-D134435.diff

  [ Rico Tzschichholz ]
  * Bump build-dep on rustc >= 1.57.0 and cargo >= 0.58
    - debian/control{,.in}
    - debian/build/create-tarball.py
  * Update patches
    - debian/patches/rust-drop-dll-checksums.patch
    - debian/patches/support-coinstallable-trunk-build.patch
    - debian/patches/ubuntu-ua-string-changes.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 31 Jan 2022 21:49:43 +0100

firefox (96.0.3+build1-0ubuntu1) jammy; urgency=medium

  * New upstream release (96.0.3+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 26 Jan 2022 22:10:38 +0100

firefox (96.0.2+build1-0ubuntu1) jammy; urgency=medium

  * New upstream release (96.0.2+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 20 Jan 2022 07:12:27 +0100

firefox (96.0.1+build1-0ubuntu1) jammy; urgency=medium

  * New upstream release (96.0.1+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 14 Jan 2022 12:01:57 +0100

firefox (96.0+build2-0ubuntu1) jammy; urgency=medium

  * New upstream release (96.0+build2)

  [ Olivier Tilloy ]
  * Cherry-pick a series of upstream patches to fix building WebRTC on armhf
    (https://bugzilla.mozilla.org/1738845):
    - debian/patches/webrtc-armhf/upstream-3607c4937e84.diff
    - debian/patches/webrtc-armhf/upstream-D117104.diff
    - debian/patches/webrtc-armhf/upstream-D133409.diff
    - debian/patches/webrtc-armhf/upstream-D134435.diff
    - debian/patches/webrtc-armhf/upstream-D134738.diff
  * Remove an obsolete patch:
    - debian/patches/fix-armhf-webrtc-build.patch
  * Update test expectation for webp support in canvas
    - debian/tests/html5test

  [ Rico Tzschichholz ]
  * Pin the version of the vendored hermit-abi for compatibility with
    rustc < 1.56
    - debian/build/create-tarball.py
  * Update patches
    - debian/patches/armhf-rustc-thin-lto.patch
    - debian/patches/webrtc-fix-compiler-flags-for-armhf.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Sun, 09 Jan 2022 20:23:44 +0100

firefox (95.0.2+build1-0ubuntu1) jammy; urgency=medium

  * New upstream release (95.0.2+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Sun, 19 Dec 2021 11:10:46 +0100

firefox (95.0.1+build2-0ubuntu1) jammy; urgency=medium

  * New upstream release (95.0.1+build2)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 16 Dec 2021 22:17:10 +0100

firefox (95.0+build1-0ubuntu1) jammy; urgency=medium

  * New upstream release (95.0+build1)

  [ Rico Tzschichholz ]
  * Bump build-dep on cargo >= 0.54
    - debian/control{,.in}
    - debian/patches/relax-cargo-dep.patch
  * Update patches
    - debian/patches/armhf-rustc-thin-lto.patch
  * Pass --without-wasm-sandboxed-libraries
    - debian/config/mozconfig.in
  * Install more sizes of the firefox application icon
    - debian/build/rules.mk
  * Bump dump_sys to bf7f6bd855eb6ecb233b52bfa7b2c975b7026540 (LP: #1945770)
    - debian/build/create-tarball.py

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 30 Nov 2021 20:15:46 +0100

firefox (94.0.2+build2-0ubuntu1) jammy; urgency=medium

  * New upstream release (94.0.2+build2)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Sat, 20 Nov 2021 07:40:33 +0100

firefox (94.0.2+build1-0ubuntu1) jammy; urgency=medium

  * New upstream release (94.0.2+build1)

  [ Dariusz Gadomski ]
  * Prevent crash on launch under AppArmor (LP: #1931602)

  [ Olivier Tilloy ]
  * Do not export MOZ_DBUS_REMOTE in the launcher script, this is no
    longer required since https://bugzilla.mozilla.org/1724242
    - debian/firefox.sh.in

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 17 Nov 2021 21:13:26 +0100

firefox (94.0+build3-0ubuntu1) jammy; urgency=medium

  * New upstream release (94.0+build3)

  [ Olivier Tilloy ]
  * Update the Vcs-Bzr URL for Ubuntu 22.04 (the Jammy Jellyfish)
    - update debian/control{,.in}
  * Drop an ustream patch
    - debian/patches/upstream-49bf466c3f24.patch

  [ Rico Tzschichholz ]
  * Bump build-dep on rustc >= 1.53.0
    - debian/control{,.in}
  * Make cargo 0.52 aka 1.51.0 sufficient
    - debian/patches/relax-cargo-dep.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Sat, 30 Oct 2021 18:53:28 +0200

firefox (93.0+build1-0ubuntu3) impish; urgency=medium

  * Cherry-pick an upstream patch to fix Widevine CDM crashes on impish
    (LP: #1945100)
    - debian/patches/upstream-49bf466c3f24.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 06 Oct 2021 17:40:06 +0200

firefox (93.0+build1-0ubuntu2) impish; urgency=medium

  * Update test expectation (https://bugzilla.mozilla.org/1283388)
    - debian/tests/html5test

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 28 Sep 2021 12:04:51 +0200

firefox (93.0+build1-0ubuntu1) impish; urgency=medium

  * New upstream release (93.0+build1)



=== debian/control ===
Source: firefox
Section: web
Priority: optional
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox.jammy
Build-Depends: debhelper (>= 11), dh-exec
Standards-Version: 4.2.1

Package: firefox
Architecture: amd64 armhf arm64
Pre-Depends: debconf, snapd
Depends: ${misc:Depends}
Replaces: firefox-dbg (<< 1:1snap1),
    firefox-dev (<< 1:1snap1),
    firefox-geckodriver (<< 1:1snap1),
    firefox-mozsymbols (<< 1:1snap1),
Breaks: firefox-dbg (<< 1:1snap1),
    firefox-dev (<< 1:1snap1),
    firefox-geckodriver (<< 1:1snap1),
    firefox-mozsymbols (<< 1:1snap1),
Section: oldlibs
Provides: www-browser,
    x-www-browser,
    gnome-www-browser,
    iceweasel,
    exec<usr/bin/firefox>,
    mime<text/html>,
    mime<x-scheme-handler/http>,
    mime<x-scheme-handler/https>,
Description: Transitional package - firefox -> firefox snap
 This is a transitional dummy package. It can safely be removed.
 .
 firefox is now replaced by the firefox snap.

Package: firefox-locale-af
Architecture: all
Depends: ${misc:Depends}, firefox (>= ${binary:Version})
Replaces: language-pack-af-base
Section: oldlibs
Description: Transitional package - firefox-locale-af -> firefox snap
 This is a transitional dummy package. It can safely be removed.
 .
 firefox-locale-af is now replaced by the firefox snap.

Package: firefox-locale-an
Architecture: all
Depends: ${misc:Depends}, firefox (>= ${binary:Version})
Replaces: language-pack-an-base
Section: oldlibs
Description: Transitional package - firefox-locale-an -> firefox snap
 This is a transitional dummy package. It can safely be removed.
 .
 firefox-locale-an is now replaced by the firefox snap.

Package: firefox-locale-ar
Architecture: all
Depends: ${misc:Depends}, firefox (>= ${binary:Version})
Replaces: language-pack-ar-base
Section: oldlibs
Description: Transitional package - firefox-locale-ar -> firefox snap
 This is a transitional dummy package. It can safely be removed.
 .
 firefox-locale-ar is now replaced by the firefox snap.

Package: firefox-locale-as
Architecture: all
Depends: ${misc:Depends}, firefox (>= ${binary:Version})
Section: oldlibs
Description: Transitional package - firefox-locale-as -> firefox snap
 This is a transitional dummy package. It can safely be removed.
 .
 firefox-locale-as is now replaced by the firefox snap.

Package: firefox-locale-ast
Architecture: all
Depends: ${misc:Depends}, firefox (>= ${binary:Version})
Replaces: language-pack-ast-base
Section: oldlibs
Description: Transitional package - firefox-locale-ast -> firefox snap
 This is a transitional dummy package. It can safely be removed.
 .
 firefox-locale-ast is now replaced by the firefox snap.

Package: firefox-locale-az
Architecture: all
Depends: ${misc:Depends}, firefox (>= ${binary:Version})
Replaces: language-pack-az-base
Section: oldlibs
Description: Transitional package - firefox-locale-az -> firefox snap
 This is a transitional dummy package. It can safely be removed.
 .
 firefox-locale-az is now replaced by the firefox snap.

Package: firefox-locale-be
Architecture: all
Depends: ${misc:Depends}, firefox (>= ${binary:Version})
Replaces: language-pack-be-base
Section: oldlibs
Description: Transitional package - firefox-locale-be -> firefox snap
 This is a transitional dummy package. It can safely be removed.
 .
 firefox-locale-be is now replaced by the firefox snap.

Package: firefox-locale-bg
Architecture: all
Depends: ${misc:Depends}, firefox (>= ${binary:Version})
Replaces: language-pack-bg-base
Section: oldlibs
Description: Transitional package - firefox-locale-bg -> firefox snap
 This is a transitional dummy package. It can safely be removed.
 .
 firefox-locale-bg is now replaced by the firefox snap.

Package: firefox-locale-bn
Architecture: all
Depends: ${misc:Depends}, firefox (>= ${binary:Version})
Replaces: language-pack-bn-base
Section: oldlibs
Description: Transitional package - firefox-locale-bn -> firefox snap
 This is a transitional dummy package. It can safely be removed.
 .
 firefox-locale-bn is now replaced by the firefox snap.

Package: firefox-locale-br
Architecture: all
Depends: ${misc:Depends}, firefox (>= ${binary:Version})
Replaces: language-pack-br-base
Section: oldlibs
Description: Transitional package - firefox-locale-br -> firefox snap
 This is a transitional dummy package. It can safely be removed.
 .
 firefox-locale-br is now replaced by the firefox snap.

Package: firefox-locale-bs
Architecture: all
Depends: ${misc:Depends}, firefox (>= ${binary:Version})
Replaces: language-pack-bs-base
Section: oldlibs
Description: Transitional package - firefox-locale-bs -> firefox snap
 This is a transitional dummy package. It can safely be removed.
 .
 firefox-locale-bs is now replaced by the firefox snap.

Package: firefox-locale-ca
Architecture: all
Depends: ${misc:Depends}, firefox (>= ${binary:Version})
Replaces: language-pack-ca-base
Section: oldlibs
Description: Transitional package - firefox-locale-ca -> firefox snap
 This is a transitional dummy package. It can safely be removed.
 .
 firefox-locale-ca is now replaced by the firefox snap.

Package: firefox-locale-cak
Architecture: all
Depends: ${misc:Depends}, firefox (>= ${binary:Version})
Replaces: language-pack-cak-base
Section: oldlibs
Description: Transitional package - firefox-locale-cak -> firefox snap
 This is a transitional dummy package. It can safely be removed.
 .
 firefox-locale-cak is now replaced by the firefox snap.

Package: firefox-locale-cs
Architecture: all
Depends: ${misc:Depends}, firefox (>= ${binary:Version})
Replaces: language-pack-cs-base
Section: oldlibs
Description: Transitional package - firefox-locale-cs -> firefox snap
 This is a transitional dummy package. It can safely be removed.
 .
 firefox-locale-cs is now replaced by the firefox snap.

Package: firefox-locale-csb
Architecture: all
Depends: ${misc:Depends}, firefox (>= ${binary:Version})
Section: oldlibs
Description: Transitional package - firefox-locale-csb -> firefox snap
 This is a transitional dummy package. It can safely be removed.
 .
 firefox-locale-csb is now replaced by the firefox snap.

Package: firefox-locale-cy
Architecture: all
Depends: ${misc:Depends}, firefox (>= ${binary:Version})
Replaces: language-pack-cy-base
Section: oldlibs
Description: Transitional package - firefox-locale-cy -> firefox snap
 This is a transitional dummy package. It can safely be removed.
 .
 firefox-locale-cy is now replaced by the firefox snap.

Package: firefox-locale-da
Architecture: all
Depends: ${misc:Depends}, firefox (>= ${binary:Version})
Replaces: language-pack-da-base
Section: oldlibs
Description: Transitional package - firefox-locale-da -> firefox snap
 This is a transitional dummy package. It can safely be removed.
 .
 firefox-locale-da is now replaced by the firefox snap.

Package: firefox-locale-de
Architecture: all
Depends: ${misc:Depends}, firefox (>= ${binary:Version})
Replaces: language-pack-de-base
Section: oldlibs
Description: Transitional package - firefox-locale-de -> firefox snap
 This is a transitional dummy package. It can safely be removed.
 .
 firefox-locale-de is now replaced by the firefox snap.

Package: firefox-locale-el
Architecture: all
Depends: ${misc:Depends}, firefox (>= ${binary:Version})
Replaces: language-pack-el-base
Section: oldlibs
Description: Transitional package - firefox-locale-el -> firefox snap
 This is a transitional dummy package. It can safely be removed.
 .
 firefox-locale-el is now replaced by the firefox snap.

Package: firefox-locale-en
Architecture: all
Depends: ${misc:Depends}, firefox (>= ${binary:Version})
Replaces: language-pack-en-base
Section: oldlibs
Description: Transitional package - firefox-locale-en -> firefox snap
 This is a transitional dummy package. It can safely be removed.
 .
 firefox-locale-en is now replaced by the firefox snap.

Package: firefox-locale-eo
Architecture: all
Depends: ${misc:Depends}, firefox (>= ${binary:Version})
Replaces: language-pack-eo-base
Section: oldlibs
Description: Transitional package - firefox-locale-eo -> firefox snap
 This is a transitional dummy package. It can safely be removed.
 .
 firefox-locale-eo is now replaced by the firefox snap.

Package: firefox-locale-es
Architecture: all
Depends: ${misc:Depends}, firefox (>= ${binary:Version})
Replaces: language-pack-es-base
Section: oldlibs
Description: Transitional package - firefox-locale-es -> firefox snap
 This is a transitional dummy package. It can safely be removed.
 .
 firefox-locale-es is now replaced by the firefox snap.

Package: firefox-locale-et
Architecture: all
Depends: ${misc:Depends}, firefox (>= ${binary:Version})
Replaces: language-pack-et-base
Section: oldlibs
Description: Transitional package - firefox-locale-et -> firefox snap
 This is a transitional dummy package. It can safely be removed.
 .
 firefox-locale-et is now replaced by the firefox snap.

Package: firefox-locale-eu
Architecture: all
Depends: ${misc:Depends}, firefox (>= ${binary:Version})
Replaces: language-pack-eu-base
Section: oldlibs
Description: Transitional package - firefox-locale-eu -> firefox snap
 This is a transitional dummy package. It can safely be removed.
 .
 firefox-locale-eu is now replaced by the firefox snap.

Package: firefox-locale-fa
Architecture: all
Depends: ${misc:Depends}, firefox (>= ${binary:Version})
Replaces: language-pack-fa-base
Section: oldlibs
Description: Transitional package - firefox-locale-fa -> firefox snap
 This is a transitional dummy package. It can safely be removed.
 .
 firefox-locale-fa is now replaced by the firefox snap.

Package: firefox-locale-fi
Architecture: all
Depends: ${misc:Depends}, firefox (>= ${binary:Version})
Replaces: language-pack-fi-base
Section: oldlibs
Description: Transitional package - firefox-locale-fi -> firefox snap
 This is a transitional dummy package. It can safely be removed.
 .
 firefox-locale-fi is now replaced by the firefox snap.

Package: firefox-locale-fr
Architecture: all
Depends: ${misc:Depends}, firefox (>= ${binary:Version})
Replaces: language-pack-fr-base
Section: oldlibs
Description: Transitional package - firefox-locale-fr -> firefox snap
 This is a transitional dummy package. It can safely be removed.
 .
 firefox-locale-fr is now replaced by the firefox snap.

Package: firefox-locale-fy
Architecture: all
Depends: ${misc:Depends}, firefox (>= ${binary:Version})
Replaces: language-pack-fy-base
Section: oldlibs
Description: Transitional package - firefox-locale-fy -> firefox snap
 This is a transitional dummy package. It can safely be removed.
 .
 firefox-locale-fy is now replaced by the firefox snap.

Package: firefox-locale-ga
Architecture: all
Depends: ${misc:Depends}, firefox (>= ${binary:Version})
Replaces: language-pack-ga-base
Section: oldlibs
Description: Transitional package - firefox-locale-ga -> firefox snap
 This is a transitional dummy package. It can safely be removed.
 .
 firefox-locale-ga is now replaced by the firefox snap.

Package: firefox-locale-gd
Architecture: all
Depends: ${misc:Depends}, firefox (>= ${binary:Version})
Replaces: language-pack-gd-base
Section: oldlibs
Description: Transitional package - firefox-locale-gd -> firefox snap
 This is a transitional dummy package. It can safely be removed.
 .
 firefox-locale-gd is now replaced by the firefox snap.

Package: firefox-locale-gl
Architecture: all
Depends: ${misc:Depends}, firefox (>= ${binary:Version})
Replaces: language-pack-gl-base
Section: oldlibs
Description: Transitional package - firefox-locale-gl -> firefox snap
 This is a transitional dummy package. It can safely be removed.
 .
 firefox-locale-gl is now replaced by the firefox snap.

Package: firefox-locale-gn
Architecture: all
Depends: ${misc:Depends}, firefox (>= ${binary:Version})
Replaces: language-pack-gn-base
Section: oldlibs
Description: Transitional package - firefox-locale-gn -> firefox snap
 This is a transitional dummy package. It can safely be removed.
 .

## firefox 1snap1-0ubuntu3

=== debian/changelog ===
firefox (1:1snap1-0ubuntu3) lunar; urgency=medium

  * Update the Vcs-Bzr URL for Ubuntu 23.04 (the Lunar Lobster)
    - debian/control

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Sun, 06 Nov 2022 12:26:12 +0100

firefox (1:1snap1-0ubuntu3~22.10.1) kinetic; urgency=medium

  * Update the Vcs-Bzr URL for Ubuntu 22.10 (the Kinetic Kudu)
    - debian/control

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 17 Oct 2022 14:39:16 +0200

firefox (1:1snap1-0ubuntu3~22.04.1) jammy; urgency=medium

  * Specify a minimum version for the snapd Pre-Depends (LP: #1992678)
    - debian/control

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 17 Oct 2022 14:33:26 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: web
 Priority: optional
 Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
-Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox.jammy
+Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox.lunar
 Build-Depends: debhelper (>= 11), dh-exec
 Standards-Version: 4.2.1
 
 Package: firefox
 Architecture: amd64 armhf arm64
-Pre-Depends: debconf, snapd
+Pre-Depends: debconf, snapd (>= 2.54)
 Depends: ${misc:Depends}
 Replaces: firefox-dbg (<< 1:1snap1),
     firefox-dev (<< 1:1snap1),
@@ -346,5 +346,3 @@
 Replaces: language-pack-gn-base
 Section: oldlibs
 Description: Transitional package - firefox-locale-gn -> firefox snap
- This is a transitional dummy package. It can safely be removed.
- .

## firefox 1snap1-0ubuntu5

=== debian/changelog ===
firefox (1:1snap1-0ubuntu5) noble; urgency=medium

  * Update the packaging vcs reference to the new git repository
  * debian/firefox.desktop, debian/firefox.install:
    - remove the transitional firefox.desktop which was needed for the deb
      to snap upgrade
  * debian/firefox.maintscript:
    - removed another migration script which isn't needed anymore

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 21 Dec 2023 15:01:03 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: web
 Priority: optional
 Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
-Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox.lunar
+Vcs-Git: https://git.launchpad.net/~mozillateam/firefox -b noble
+Vcs-Browser: https://git.launchpad.net/~mozillateam/firefox
 Build-Depends: debhelper (>= 11), dh-exec
 Standards-Version: 4.2.1

## firefox 1snap1-0ubuntu6

=== debian/changelog ===
firefox (1:1snap1-0ubuntu6) oracular; urgency=medium

  * debian/control: Update firefox package's Description to indicate
    that it is not merely a transitional package, and it provides
    some additional system configuration/integration for the Firefox
    snap package it installs. (LP: #2061075)
  * debian/firefox.postrm.in: Add explanation about what this package
    does and that the user may want to additionally remove the Firefox
    snap package to fully remove Firefox. (LP: #2064819)

 -- Amin Bandali <bandali@ubuntu.com>  Sun, 07 Jul 2024 21:09:20 -0400

## firefox 1snap1-0ubuntu7

=== debian/changelog ===
firefox (1:1snap1-0ubuntu7) plucky; urgency=medium

  * d/firefox.preinst: Force stdin to be a tty so that snap install
    reports progress (LP: #1886414).

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Fri, 17 Jan 2025 13:49:08 +0100

=== debian/control ===
--- 
+++ 
@@ -28,10 +28,11 @@
     mime<text/html>,
     mime<x-scheme-handler/http>,
     mime<x-scheme-handler/https>,
-Description: Transitional package - firefox -> firefox snap
- This is a transitional dummy package. It can safely be removed.
- .
- firefox is now replaced by the firefox snap.
+Description: Installs Firefox snap and provides some system integration
+ This package is almost a transitional package, insofar as its main
+ purpose is to install the Firefox snap, but it also configures
+ *www-browser alternatives and provides the corresponding virtual
+ packages which other deb packages might depend on.
 
 Package: firefox-locale-af
 Architecture: all
@@ -343,7 +344,3 @@
 
 Package: firefox-locale-gn
 Architecture: all
-Depends: ${misc:Depends}, firefox (>= ${binary:Version})
-Replaces: language-pack-gn-base
-Section: oldlibs
-Description: Transitional package - firefox-locale-gn -> firefox snap

## firefox 1snap1-0ubuntu8

=== debian/changelog ===
firefox (1:1snap1-0ubuntu8) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Tue, 03 Feb 2026 22:30:46 +0100

## firefox 2.0.0.16+1nobinonly

=== security/nss-fips/lib/pk11wrap/Makefile ===
#! gmake
#
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is the Netscape security libraries.
#
# The Initial Developer of the Original Code is
# Netscape Communications Corporation.
# Portions created by the Initial Developer are Copyright (C) 1994-2000
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****

#######################################################################
# (1) Include initial platform-independent assignments (MANDATORY).   #
#######################################################################

include manifest.mn

#######################################################################
# (2) Include "global" configuration information. (OPTIONAL)          #
#######################################################################

include $(CORE_DEPTH)/coreconf/config.mk

#######################################################################
# (3) Include "component" configuration information. (OPTIONAL)       #
#######################################################################



#######################################################################
# (4) Include "local" platform-dependent assignments (OPTIONAL).      #
#######################################################################

-include config.mk

#######################################################################
# (5) Execute "global" rules. (OPTIONAL)                              #
#######################################################################

include $(CORE_DEPTH)/coreconf/rules.mk

#######################################################################
# (6) Execute "component" rules. (OPTIONAL)                           #
#######################################################################



#######################################################################
# (7) Execute "local" rules. (OPTIONAL).                              #
#######################################################################

export:: private_export

# On AIX 4.3, IBM xlC_r compiler (version 3.6.6) cannot compile
# pk11slot.c in 64-bit mode for unknown reasons.  A workaround is
# to compile it with optimizations turned on.  (Bugzilla bug #63815)
ifeq ($(OS_TARGET)$(OS_RELEASE),AIX4.3)
ifeq ($(USE_64),1)
ifndef BUILD_OPT
$(OBJDIR)/pk11slot.o: pk11slot.c
	@$(MAKE_OBJDIR)
	$(CC) -o $@ -c -O2 $(CFLAGS) $<
endif
endif
endif

# Bugzilla Bug 209827: disable optimization to work around what appears
# to be a VACPP optimizer bug.
ifdef XP_OS2_VACPP
$(OBJDIR)/pk11skey.obj: pk11skey.c
	@$(MAKE_OBJDIR)
	$(CC) -Fo$@ -c $(filter-out /O+, $(CFLAGS)) $(call abspath,$<)
$(OBJDIR)/pk11slot.obj: pk11slot.c
	@$(MAKE_OBJDIR)
	$(CC) -Fo$@ -c $(filter-out /O+, $(CFLAGS)) $(call abspath,$<)
endif

=== security/nss/cmd/fipstest/Makefile ===
#! gmake
# 
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is the Netscape security libraries.
#
# The Initial Developer of the Original Code is
# Netscape Communications Corporation.
# Portions created by the Initial Developer are Copyright (C) 1994-2000
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****

#######################################################################
# (1) Include initial platform-independent assignments (MANDATORY).   #
#######################################################################

include manifest.mn
#MKPROG = purify -cache-dir=/u/mcgreer/pcache -best-effort \
#	-always-use-cache-dir $(CC)

#######################################################################
# (2) Include "global" configuration information. (OPTIONAL)          #
#######################################################################

include $(CORE_DEPTH)/coreconf/config.mk

#######################################################################
# (3) Include "component" configuration information. (OPTIONAL)       #
#######################################################################



#######################################################################
# (4) Include "local" platform-dependent assignments (OPTIONAL).      #
#######################################################################

include ../platlibs.mk

ifdef NSS_ENABLE_ECC
DEFINES += -DNSS_ENABLE_ECC
endif

#######################################################################
# (5) Execute "global" rules. (OPTIONAL)                              #
#######################################################################

include $(CORE_DEPTH)/coreconf/rules.mk

#######################################################################
# (6) Execute "component" rules. (OPTIONAL)                           #
#######################################################################



#######################################################################
# (7) Execute "local" rules. (OPTIONAL).                              #
#######################################################################

include ../platrules.mk

=== security/nss/lib/freebl/Makefile ===
#! gmake
#
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is the Netscape security libraries.
#
# The Initial Developer of the Original Code is
# Netscape Communications Corporation.
# Portions created by the Initial Developer are Copyright (C) 1994-2000
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#   Stephen Fung <fungstep@hotmail.com> and
#   Douglas Stebila <douglas@stebila.ca>, Sun Microsystems Laboratories
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****

#######################################################################
# (1) Include initial platform-independent assignments (MANDATORY).   #
#######################################################################

include manifest.mn

#######################################################################
# (2) Include "global" configuration information. (OPTIONAL)          #
#######################################################################

include $(CORE_DEPTH)/coreconf/config.mk

#######################################################################
# (3) Include "component" configuration information. (OPTIONAL)       #
#######################################################################



#######################################################################
# (4) Include "local" platform-dependent assignments (OPTIONAL).      #
#######################################################################

-include config.mk

# default for all platforms
# unset this on those that have multiple freebl libraries
FREEBL_BUILD_SINGLE_SHLIB = 1

ifdef USE_64
	DEFINES += -DNSS_USE_64
endif

ifdef USE_ABI32_FPU
	DEFINES += -DNSS_USE_ABI32_FPU
endif

# des.c wants _X86_ defined for intel CPUs.  
# coreconf does this for windows, but not for Linux, FreeBSD, etc.
ifeq ($(CPU_ARCH),x86)
ifneq (,$(filter-out WIN%,$(OS_TARGET)))
	OS_REL_CFLAGS += -D_X86_
endif
endif

ifeq ($(OS_TARGET),OSF1)
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_NO_MP_WORD
    MPI_SRCS += mpvalpha.c
endif

ifeq (,$(filter-out WINNT WIN95,$(OS_TARGET)))  #omits WIN16 and WINCE
ifndef USE_64
ifdef NS_USE_GCC
# Ideally, we want to use assembler
#     ASFILES  = mpi_x86.s
#     DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE \
#                -DMP_ASSEMBLY_DIV_2DX1D
# but we haven't figured out how to make it work, so we are not
# using assembler right now.
    ASFILES  =
    DEFINES += -DMP_NO_MP_WORD -DMP_USE_UINT_DIGIT
else
    MPI_SRCS += mpi_x86_asm.c
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE 
    DEFINES += -DMP_ASSEMBLY_DIV_2DX1D -DMP_USE_UINT_DIGIT -DMP_NO_MP_WORD
    ifdef BUILD_OPT
	OPTIMIZER += -Ox  # maximum optimization for freebl
    endif
endif
endif
endif

ifeq ($(OS_TARGET),WINCE)
    DEFINES += -DMP_ARGCHK=0	# no assert in WinCE
    DEFINES += -DSHA_NO_LONG_LONG # avoid 64-bit arithmetic in SHA512
endif

ifeq ($(OS_TARGET),IRIX)
ifeq ($(USE_N32),1)
    ASFILES  = mpi_mips.s
    ifeq ($(NS_USE_GCC),1)
	ASFLAGS = -Wp,-P -Wp,-traditional -O -mips3
    else
	ASFLAGS = -O -OPT:Olimit=4000 -dollar -fullwarn -xansi -n32 -mips3 
    endif
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE
    DEFINES += -DMP_USE_UINT_DIGIT
endif
endif

ifeq ($(OS_TARGET),Linux)
ifeq ($(CPU_ARCH),x86_64)
    ASFILES  = arcfour-amd64-gas.s mpi_amd64_gas.s
    ASFLAGS += -march=opteron -m64 -fPIC
    DEFINES += -DNSS_BEVAND_ARCFOUR -DMPI_AMD64 -DMP_ASSEMBLY_MULTIPLY
    DEFINES += -DNSS_USE_COMBA
    DEFINES += -DMP_CHAR_STORE_SLOW -DMP_IS_LITTLE_ENDIAN
#   DEFINES += -DMPI_AMD64_ADD
    MPI_SRCS += mpi_amd64.c mp_comba.c
endif
ifeq ($(CPU_ARCH),x86)
    ASFILES  = mpi_x86.s
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE 
    DEFINES += -DMP_ASSEMBLY_DIV_2DX1D
    DEFINES += -DMP_CHAR_STORE_SLOW -DMP_IS_LITTLE_ENDIAN
    # The floating point ECC code doesn't work on Linux x86 (bug 311432).
    #ECL_USE_FP = 1
endif
endif # Linux

ifeq ($(OS_TARGET),AIX)
    DEFINES += -DMP_USE_UINT_DIGIT
    ifndef USE_64
	DEFINES += -DMP_NO_DIV_WORD -DMP_NO_ADD_WORD -DMP_NO_SUB_WORD
    endif
endif # AIX

ifeq ($(OS_TARGET), HP-UX)
ifneq ($(OS_TEST), ia64)
# PA-RISC
ASFILES += ret_cr16.s
ifndef USE_64
    FREEBL_BUILD_SINGLE_SHLIB = 
    HAVE_ABI32_INT32 = 1
    HAVE_ABI32_FPU = 1
endif
ifdef FREEBL_CHILD_BUILD
ifdef USE_ABI32_INT32
# build for DA1.1 (HP PA 1.1) 32-bit ABI build with 32-bit arithmetic
    DEFINES  += -DMP_USE_UINT_DIGIT -DMP_NO_MP_WORD
    DEFINES += -DSHA_NO_LONG_LONG # avoid 64-bit arithmetic in SHA512
else
ifdef USE_64
# this builds for DA2.0W (HP PA 2.0 Wide), the LP64 ABI, using 64-bit digits 
    MPI_SRCS += mpi_hp.c 
    ASFILES  += hpma512.s hppa20.s 
    DEFINES  += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE
else
# this builds for DA2.0 (HP PA 2.0 Narrow) ABI32_FPU model 
# (the 32-bit ABI with 64-bit registers) using 64-bit digits
    MPI_SRCS += mpi_hp.c 
    ASFILES  += hpma512.s hppa20.s 
    DEFINES  += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE
    ARCHFLAG = -Aa +e +DA2.0 +DS2.0
endif
endif
endif
endif
endif

# The blapi functions are defined not only in the freebl shared
# libraries but also in the shared libraries linked with loader.c
# (libsoftokn3.so and libssl3.so).  We need to use GNU ld's
# -Bsymbolic option or the equivalent option for other linkers
# to bind the blapi function references in FREEBLVector vector
# (ldvector.c) to the blapi functions defined in the freebl
# shared libraries.
ifeq (,$(filter-out BSD_OS FreeBSD Linux NetBSD OpenBSD, $(OS_TARGET)))
    MKSHLIB += -Wl,-Bsymbolic
endif

ifeq ($(OS_TARGET),SunOS)

# The -R '$ORIGIN' linker option instructs this library to search for its
# dependencies in the same directory where it resides.
MKSHLIB += -R '$$ORIGIN'
ifdef NS_USE_GCC
    ifdef GCC_USE_GNU_LD
	MKSHLIB += -Wl,-Bsymbolic,-z,now,-z,text
    else
	MKSHLIB += -Wl,-B,symbolic,-z,now,-z,text
    endif # GCC_USE_GNU_LD
else
    MKSHLIB += -B symbolic -z now -z text
endif # NS_USE_GCC

# Sun's WorkShop defines v8, v8plus and v9 architectures.
# gcc on Solaris defines v8 and v9 "cpus".  
# gcc's v9 is equivalent to Workshop's v8plus.
# gcc's -m64 is equivalent to Workshop's v9
# We always use Sun's assembler, which uses Sun's naming convention.
ifeq ($(CPU_ARCH),sparc)
    FREEBL_BUILD_SINGLE_SHLIB=
    ifdef USE_64
        HAVE_ABI64_INT = 1
        HAVE_ABI64_FPU = 1
    else
        HAVE_ABI32_INT32 = 1
        HAVE_ABI32_FPU = 1
        HAVE_ABI32_INT64 = 1
    endif
    SYSV_SPARC = 1
    SOLARIS_AS = /usr/ccs/bin/as
    #### set arch, asm, c flags
    ifdef NS_USE_GCC
	ifdef USE_ABI32_INT32
	    # default ARCHFLAG=-mcpu=v8 set by coreconf/sunOS5.mk
	endif
	ifdef USE_ABI32_INT64
	    ARCHFLAG=-mcpu=v9 -Wa,-xarch=v8plus
	    SOLARIS_AS_FLAGS = -xarch=v8plus -K PIC
	endif
	ifdef USE_ABI32_FPU
	    ARCHFLAG=-mcpu=v9 -Wa,-xarch=v8plusa
	    SOLARIS_AS_FLAGS = -xarch=v8plusa -K PIC
	endif # USE_ABI32_FPU
	ifdef USE_ABI64_INT
	    # this builds for Sparc v9a pure 64-bit architecture
	    ARCHFLAG += -mcpu=v9 -Wa,-xarch=v9
	    SOLARIS_AS_FLAGS = -xarch=v9 -K PIC
	endif
	ifdef USE_ABI64_FPU
	    # this builds for Sparc v9a pure 64-bit architecture
	    # It uses floating point, and 32-bit word size
	    ARCHFLAG += -mcpu=v9 -Wa,-xarch=v9a
	    SOLARIS_AS_FLAGS = -xarch=v9a -K PIC
	endif
    else # NS_USE_GCC
	# FPU_TARGET_OPTIMIZER specifies the target processor and cache
	# properties of the ABI32_FPU and ABI64_FPU architectures for use
	# by the optimizer.
	ifeq (,$(findstring Sun WorkShop 6,$(shell $(CC) -V 2>&1)))
	    # if the compiler is not Forte 6
	    FPU_TARGET_OPTIMIZER = -xcache=64/32/4:1024/64/4 -xchip=ultra3
	else
	    # Forte 6 C compiler generates incorrect code for rijndael.c
	    # if -xchip=ultra3 is used (Bugzilla bug 333925).  So we revert
	    # to what we used in NSS 3.10.
	    FPU_TARGET_OPTIMIZER = -xchip=ultra2
	endif
	ifdef USE_ABI32_INT32
	    #ARCHFLAG=-xarch=v8 set in coreconf/sunOS5.mk
	endif
	ifdef USE_ABI32_INT64
	    # this builds for Sparc v8+a ABI32_FPU architecture, 64-bit registers, 
	    # 32-bit ABI, it uses 64-bit words, integer arithmetic,
	    # no FPU (non-VIS cpus).
	    # These flags were suggested by the compiler group for building
	    # with SunStudio 10.
	    ifdef BUILD_OPT
                SOL_CFLAGS += -xO4
	    endif
 	    SOL_CFLAGS += -xtarget=generic
	    ARCHFLAG = -xarch=v8plus
	    SOLARIS_AS_FLAGS = -xarch=v8plus -K PIC
	endif
	ifdef USE_ABI32_FPU
	    # this builds for Sparc v8+a ABI32_FPU architecture, 64-bit registers, 
	    # 32-bit ABI, it uses FPU code, and 32-bit word size.
	    # these flags were determined by running cc -### -fast and copying
	    # the generated flag settings
	    SOL_CFLAGS += -fsingle -xmemalign=8s
	    ifdef BUILD_OPT
                SOL_CFLAGS += -D__MATHERR_ERRNO_DONTCARE -fsimple=1
                SOL_CFLAGS += -xalias_level=basic -xbuiltin=%all
                SOL_CFLAGS += $(FPU_TARGET_OPTIMIZER) -xdepend
                SOL_CFLAGS += -xlibmil -xO5
	    endif
	    ARCHFLAG = -xarch=v8plusa
	    SOLARIS_AS_FLAGS = -xarch=v8plusa -K PIC
	endif
	ifdef USE_ABI64_INT
	    # this builds for Sparc v9a pure 64-bit architecture,
	    # no FPU (non-VIS cpus). For building with SunStudio 10.
	    ifdef BUILD_OPT
                SOL_CFLAGS += -xO4
	    endif
 	    SOL_CFLAGS += -xtarget=generic
	    ARCHFLAG = -xarch=v9
	    SOLARIS_AS_FLAGS = -xarch=v9 -K PIC
	endif
	ifdef USE_ABI64_FPU
	    # this builds for Sparc v9a pure 64-bit architecture
	    # It uses floating point, and 32-bit word size.
	    # See comment for USE_ABI32_FPU.
	    SOL_CFLAGS += -fsingle -xmemalign=8s
	    ifdef BUILD_OPT
                SOL_CFLAGS += -D__MATHERR_ERRNO_DONTCARE -fsimple=1
                SOL_CFLAGS += -xalias_level=basic -xbuiltin=%all
                SOL_CFLAGS += $(FPU_TARGET_OPTIMIZER) -xdepend
                SOL_CFLAGS += -xlibmil -xO5
	    endif
	    ARCHFLAG = -xarch=v9a
	    SOLARIS_AS_FLAGS = -xarch=v9a -K PIC
	endif
    endif # NS_USE_GCC

    ### set flags for both GCC and Sun cc
    ifdef USE_ABI32_INT32
	# this builds for Sparc v8 pure 32-bit architecture
	DEFINES += -DMP_USE_UINT_DIGIT -DMP_ASSEMBLY_MULTIPLY
	ASFILES  = mpv_sparcv8x.s
	DEFINES += -DSHA_NO_LONG_LONG # avoid 64-bit arithmetic in SHA512
    endif
    ifdef USE_ABI32_INT64
	# this builds for Sparc v8+a ABI32_FPU architecture, 64-bit registers, 
	# 32-bit ABI, it uses 64-bit words, integer arithmetic, no FPU
	# best times are with no MP_ flags specified
    endif
    ifdef USE_ABI32_FPU
	# this builds for Sparc v8+a ABI32_FPU architecture, 64-bit registers, 
	# 32-bit ABI, it uses FPU code, and 32-bit word size
	MPI_SRCS += mpi_sparc.c
	ASFILES  = mpv_sparcv8.s montmulfv8.s

## firefox 2.0.0.21~tb.21.308+nobinonly

=== security/nss/lib/pki1/Makefile ===
# 
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is the Netscape security libraries.
#
# The Initial Developer of the Original Code is
# Netscape Communications Corporation.
# Portions created by the Initial Developer are Copyright (C) 1994-2000
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****
MAKEFILE_CVS_ID = "@(#) $RCSfile: Makefile,v $ $Revision: 1.7.28.3 $ $Date: 2007/05/09 01:38:14 $"

include manifest.mn
include $(CORE_DEPTH)/coreconf/config.mk
include config.mk
include $(CORE_DEPTH)/coreconf/rules.mk

# Generate oiddata.h and oiddata.c.
oidgen: oidgen.perl oids.txt
	rm -f oiddata.c oiddata.h
	$(PERL) oidgen.perl oiddata.c oiddata.h oids.txt

export::  private_export
